package com.ygtx.gxt.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ygtx.common.annotation.Excel;
import com.ygtx.common.core.domain.BaseEntity;

/**
 * 设备管理对象 gxt_equipment
 * 
 * @author ouyj
 * @date 2025-10-28
 */
public class GxtEquipment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备ID */
    private Long equipmentId;

    /** 维保中心 */
    @Excel(name = "维保中心")
    private String maintenanceCenter;

    /** 场站 */
    @Excel(name = "场站")
    private String station;

    /** 设备编码/风机编号 */
    @Excel(name = "风机编号")
    private String equipmentCode;

    /** 品牌 */
    @Excel(name = "品牌")
    private String brand;

    /** 机型 */
    @Excel(name = "机型")
    private String model;

    /** 设备类型,1风机 */
    private String equipmentType;

    /** 设备状态：1-正常，2-维修，3-停用，4-报废 */
    private String status;

    /** 责任人 */
    @Excel(name = "责任人")
    private String responsiblePersonName;

    /** 责任人ID */
    private Long responsiblePersonId;

    public void setEquipmentId(Long equipmentId) 
    {
        this.equipmentId = equipmentId;
    }

    public Long getEquipmentId() 
    {
        return equipmentId;
    }

    public void setEquipmentCode(String equipmentCode) 
    {
        this.equipmentCode = equipmentCode;
    }

    public String getEquipmentCode() 
    {
        return equipmentCode;
    }

    public void setMaintenanceCenter(String maintenanceCenter) 
    {
        this.maintenanceCenter = maintenanceCenter;
    }

    public String getMaintenanceCenter() 
    {
        return maintenanceCenter;
    }

    public void setStation(String station) 
    {
        this.station = station;
    }

    public String getStation() 
    {
        return station;
    }

    public void setBrand(String brand) 
    {
        this.brand = brand;
    }

    public String getBrand() 
    {
        return brand;
    }

    public void setModel(String model) 
    {
        this.model = model;
    }

    public String getModel() 
    {
        return model;
    }

    public void setEquipmentType(String equipmentType) 
    {
        this.equipmentType = equipmentType;
    }

    public String getEquipmentType() 
    {
        return equipmentType;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public String getResponsiblePersonName() {
        return responsiblePersonName;
    }

    public void setResponsiblePersonName(String responsiblePersonName) {
        this.responsiblePersonName = responsiblePersonName;
    }

    public Long getResponsiblePersonId() {
        return responsiblePersonId;
    }

    public void setResponsiblePersonId(Long responsiblePersonId) {
        this.responsiblePersonId = responsiblePersonId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("equipmentId", getEquipmentId())
            .append("equipmentCode", getEquipmentCode())
            .append("maintenanceCenter", getMaintenanceCenter())
            .append("station", getStation())
            .append("brand", getBrand())
            .append("model", getModel())
            .append("equipmentType", getEquipmentType())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}